Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Problem/Detail.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Problem/Detail.aspx	(revision 6316)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Problem/Detail.aspx	(revision 6317)
@@ -4,128 +4,127 @@
 <%@ Import Namespace="HLWebOKBAdminPlugin.OKBAdministrationService" %>
 <asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
-    Detail
+  Detail
 </asp:Content>
 <asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
-   <% Html.RenderAction("Menu", "Admin"); %>
+  <% Html.RenderAction("Menu", "Admin"); %>
 </asp:Content>
 <asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
-    <% using(Html.BeginForm("SaveChanges", "Problem")) %>
-    <% { %>
-    <h2>
-        Detail</h2>
-    <%
+  <% using (Html.BeginForm("SaveChanges", "Problem")) %>
+  <% { %>
+  <h2>
+    Detail</h2>
+  <%
      
-        // The Model will be filled via the Controller
-        // Maybe we can use here the Problem instead
-        // of the ProblemModel. But this must be changed
-        // in the Controller too!
+    // The Model will be filled via the Controller
+    // Maybe we can use here the Problem instead
+    // of the ProblemModel. But this must be changed
+    // in the Controller too!
 
-        Problem p = ((ProblemModel)Model).Problem;
-    %>
-            <div class="hl-menuButtons">                 
-        <%: Html.ActionLink("Back to Index", "Index", null, new { @class = "hl-button-text-back" })%>
-        </div>
-    <table class="hl-table">
-        <tr>
-            <th>
-                Id:
-            </th>
-            <td>
-                <%: Html.Label(p.Id.ToString())%>
-            </td>
-            <%: Html.Hidden("ProblemId", p.Id.ToString(), p.Id.ToString())%>
-        </tr>
-        <tr>
-            <th>
-                Name:
-            </th>
-            <td>
-                <%: Html.TextBox("ProblemName", p.Name, p.Name)%>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                Description:
-            </th>
-            <td>
-                <%: Html.TextBox("ProblemDescription", p.Description, p.Description)%>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                DataTypeName:
-            </th>
-            <td>
-                <%: Html.TextBox("ProblemDataTypeName", p.DataTypeName, p.DataTypeName)%>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                Problem Class:
-            </th>
-            <td>
-                <select name="ProblemClassId">
-                    <% foreach(ProblemClass pc in ((ProblemModel)Model).ProblemClasses) {  %>
-                        <% if(p.ProblemClassId == pc.Id) { %>
-                            <option selected="selected" value="<%=pc.Id%>"><%=pc.Name%></option>
-                        <% } else { %>
-                            <option value="<%=pc.Id%>"><%=pc.Name%></option>
-                        <% } %>
-                    <% } %>
-                </select>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                Platform:
-            </th>
-            <td>
-                <select name="PlatformId">
-                    <% foreach(Platform pc in ((ProblemModel)Model).Platforms) {  %>
-                        <% if(p.PlatformId == pc.Id) { %>
-                            <option selected="selected" value="<%=pc.Id%>"><%=pc.Name%></option>
-                        <% } else { %>
-                            <option value="<%=pc.Id%>"><%=pc.Name%></option>
-                        <% } %>
-                    <% } %>
-                </select>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                Action:
-            </th>
-            <td>
-                <input type="submit" value="save" />
-            </td>
-        </tr>
-    </table>    
-    
-    <% } %>
-
-    <% using (Html.BeginForm("UploadFile", "Problem", FormMethod.Post, new { enctype = "multipart/form-data" }))
-    {%><br />
-        <% Problem p = ((ProblemModel)Model).Problem; %>        
-        <table class="hl-table">
-            <tr>
-                <th>
-                    File:
-                </th>
-                <td>
-                    <%: Html.Hidden("ProblemId", p.Id.ToString(), p.Id.ToString()) %>
-                    <input type="file" name="files" id="file2" size="25" /> 
-                </td>
-            </tr>
-            <tr>
-                <th>
-                    Action:
-                </th>
-                <td>
-                    <input type="submit" value="Upload file" />
-                </td>
-            </tr>
-        </table>                              
-        <% } %> 
-        
-
+    Problem p = ((ProblemModel)Model).Problem;
+  %>
+  <div class="hl-menuButtons">
+    <%: Html.ActionLink("Back to Index", "Index", null, new { @class = "hl-button-text-back" })%>
+  </div>
+  <table class="hl-table">
+    <tr>
+      <th>
+        Id:
+      </th>
+      <td>
+        <%: Html.Label(p.Id.ToString())%>
+      </td>
+      <%: Html.Hidden("ProblemId", p.Id.ToString(), p.Id.ToString())%>
+    </tr>
+    <tr>
+      <th>
+        Name:
+      </th>
+      <td>
+        <%: Html.TextBox("ProblemName", p.Name, p.Name)%>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Description:
+      </th>
+      <td>
+        <%: Html.TextBox("ProblemDescription", p.Description, p.Description)%>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        DataTypeName:
+      </th>
+      <td>
+        <%: Html.TextBox("ProblemDataTypeName", p.DataTypeName, p.DataTypeName)%>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Problem Class:
+      </th>
+      <td>
+        <select name="ProblemClassId">
+          <% foreach (ProblemClass pc in ((ProblemModel)Model).ProblemClasses) {  %>
+          <% if (p.ProblemClassId == pc.Id) { %>
+          <option selected="selected" value="<%=pc.Id%>">
+            <%=pc.Name%></option>
+          <% } else { %>
+          <option value="<%=pc.Id%>">
+            <%=pc.Name%></option>
+          <% } %>
+          <% } %>
+        </select>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Platform:
+      </th>
+      <td>
+        <select name="PlatformId">
+          <% foreach (Platform pc in ((ProblemModel)Model).Platforms) {  %>
+          <% if (p.PlatformId == pc.Id) { %>
+          <option selected="selected" value="<%=pc.Id%>">
+            <%=pc.Name%></option>
+          <% } else { %>
+          <option value="<%=pc.Id%>">
+            <%=pc.Name%></option>
+          <% } %>
+          <% } %>
+        </select>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Action:
+      </th>
+      <td>
+        <input type="submit" value="save" />
+      </td>
+    </tr>
+  </table>
+  <% } %>
+  <% using (Html.BeginForm("UploadFile", "Problem", FormMethod.Post, new { enctype = "multipart/form-data" })) {%><br />
+  <% Problem p = ((ProblemModel)Model).Problem; %>
+  <table class="hl-table">
+    <tr>
+      <th>
+        File:
+      </th>
+      <td>
+        <%: Html.Hidden("ProblemId", p.Id.ToString(), p.Id.ToString()) %>
+        <input type="file" name="files" id="file2" size="25" />
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Action:
+      </th>
+      <td>
+        <input type="submit" value="Upload file" />
+      </td>
+    </tr>
+  </table>
+  <% } %>
 </asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Problem/Index.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Problem/Index.aspx	(revision 6316)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Problem/Index.aspx	(revision 6317)
@@ -4,49 +4,53 @@
 <%@ Import Namespace="HLWebOKBAdminPlugin.OKBAdministrationService" %>
 <asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
-    Index
+  Index
 </asp:Content>
 <asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
-   <% Html.RenderAction("Menu", "Admin"); %>
+  <% Html.RenderAction("Menu", "Admin"); %>
 </asp:Content>
 <asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
-    <h2>Problems</h2>
-    
-    
-    
-    <%  long? id = null;  %>
-    <div class="hl-menuButtons">
+  <h2>
+    Problems</h2>
+  <%  long? id = null;  %>
+  <div class="hl-menuButtons">
     <%: Html.ActionLink("New Problem", "Detail", new { id }, new { @class = "hl-button-text-plus" })%>
-    </div>
-
-        <table class="hl-dataTable">
-        <thead>
-        <tr>
-        <th>Name</th>
-        <th>Description</th>
-        <th>Type</th>
-        <th>Actions</th>
-        </tr>
-        </thead>
-        <tbody>
-            <!--// We get this from the Controller (Index)-->
-            <% foreach(Problem p in ((ProblemModel)Model).Problems) {  %>
-            <tr>
-                <td>
-                    <%: p.Name%>
-                </td>
-                <td>
-                    <%: p.Description %>
-                </td>
-                <td>
-                    <%: p.DataTypeName %>
-                </td>
-                <td class="hl-iconcell">
-                    <%: Html.ActionLink("detail", "Detail", new { p.Id }, new { @class = "hl-icon-edit" })%>
-                    <%: Html.ActionLink("delete", "Delete", new { p.Id }, new { @class = "hl-icon-delete" })%>
-                </td>
-            </tr>
-            <% } %>
-            </tbody>
-        </table>
-     
+  </div>
+  <table class="hl-dataTable">
+    <thead>
+      <tr>
+        <th>
+          Name
+        </th>
+        <th>
+          Description
+        </th>
+        <th>
+          Type
+        </th>
+        <th>
+          Actions
+        </th>
+      </tr>
+    </thead>
+    <tbody>
+      <!--// We get this from the Controller (Index)-->
+      <% foreach (Problem p in ((ProblemModel)Model).Problems) {  %>
+      <tr>
+        <td>
+          <%: p.Name%>
+        </td>
+        <td>
+          <%: p.Description %>
+        </td>
+        <td>
+          <%: p.DataTypeName %>
+        </td>
+        <td class="hl-iconcell">
+          <%: Html.ActionLink("detail", "Detail", new { p.Id }, new { @class = "hl-icon-edit" })%>
+          <%: Html.ActionLink("delete", "Delete", new { p.Id }, new { @class = "hl-icon-delete" })%>
+        </td>
+      </tr>
+      <% } %>
+    </tbody>
+  </table>
 </asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/ProblemClass/Detail.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/ProblemClass/Detail.aspx	(revision 6316)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/ProblemClass/Detail.aspx	(revision 6317)
@@ -3,54 +3,54 @@
 <%@ Import Namespace="HLWebOKBAdminPlugin.Models" %>
 <%@ Import Namespace="HLWebOKBAdminPlugin.OKBAdministrationService" %>
-
 <asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
-	Detail
+  Detail
 </asp:Content>
 <asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
-   <% Html.RenderAction("Menu", "Admin"); %>
+  <% Html.RenderAction("Menu", "Admin"); %>
 </asp:Content>
 <asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
-    <% using(Html.BeginForm("SaveChanges", "ProblemClass")) %>
-    <% { %>
-    <h2>Detail</h2>
-            <div class="hl-menuButtons">                 
-        <%: Html.ActionLink("Back to Index", "Index", null, new { @class = "hl-button-text-back" })%>
-        </div>
-    <% ProblemClass pc = ((ProblemClassModel)Model).ProblemClass; %>
-    <table class="hl-table">
-        <tr>
-            <th>
-                Id:
-            </th>
-            <td>
-                <%: Html.Label(pc.Id.ToString())%>
-            </td>
-            <%: Html.Hidden("ProblemClassId", pc.Id.ToString(), pc.Id.ToString())%>
-        </tr>
-        <tr>
-            <th>
-                Name:
-            </th>
-            <td>
-                <%: Html.TextBox("ProblemClassName", pc.Name, pc.Name)%>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                Description:
-            </th>
-            <td>
-                <%: Html.TextBox("ProblemClassDescription", pc.Description, pc.Description)%>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                Action:
-            </th>
-            <td>
-                <input type="submit" value="save" />
-            </td>
-        </tr>
-    </table> 
-    <% } %>
+  <% using (Html.BeginForm("SaveChanges", "ProblemClass")) %>
+  <% { %>
+  <h2>
+    Detail</h2>
+  <div class="hl-menuButtons">
+    <%: Html.ActionLink("Back to Index", "Index", null, new { @class = "hl-button-text-back" })%>
+  </div>
+  <% ProblemClass pc = ((ProblemClassModel)Model).ProblemClass; %>
+  <table class="hl-table">
+    <tr>
+      <th>
+        Id:
+      </th>
+      <td>
+        <%: Html.Label(pc.Id.ToString())%>
+      </td>
+      <%: Html.Hidden("ProblemClassId", pc.Id.ToString(), pc.Id.ToString())%>
+    </tr>
+    <tr>
+      <th>
+        Name:
+      </th>
+      <td>
+        <%: Html.TextBox("ProblemClassName", pc.Name, pc.Name)%>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Description:
+      </th>
+      <td>
+        <%: Html.TextBox("ProblemClassDescription", pc.Description, pc.Description)%>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Action:
+      </th>
+      <td>
+        <input type="submit" value="save" />
+      </td>
+    </tr>
+  </table>
+  <% } %>
 </asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/ProblemClass/Index.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/ProblemClass/Index.aspx	(revision 6316)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/ProblemClass/Index.aspx	(revision 6317)
@@ -3,48 +3,48 @@
 <%@ Import Namespace="HLWebOKBAdminPlugin.Models" %>
 <%@ Import Namespace="HLWebOKBAdminPlugin.OKBAdministrationService" %>
-
-
 <asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
-	Index
+  Index
 </asp:Content>
 <asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
-   <% Html.RenderAction("Menu", "Admin"); %>
+  <% Html.RenderAction("Menu", "Admin"); %>
 </asp:Content>
 <asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
-
-    <h2>ProblemClass</h2>
-
-<%  long? id = null;  %>
-<div class="hl-menuButtons">
+  <h2>
+    ProblemClass</h2>
+  <%  long? id = null;  %>
+  <div class="hl-menuButtons">
     <%: Html.ActionLink("New ProblemClass", "Detail", new { id }, new { @class = "hl-button-text-plus" })%>
-</div>
-
-        <table class="hl-dataTable">
-                <thead>
-        <tr>
-        <th>Name</th>
-        <th>Description</th>
-        <th>Actions</th>
-        </tr>
-        </thead>
-        <tbody>
-            <!--// We get this from the Controller (Index)-->
-            <% foreach (ProblemClass p in ((ProblemClassModel)Model).ProblemClasses) {  %>
-            <tr>
-                <td>
-                    <%: p.Name%>
-                </td>
-                <td>
-                    <%: p.Description %>
-                </td>
-                <td class="hl-iconcell">
-                    <%: Html.ActionLink("detail", "Detail", new { p.Id }, new { @class = "hl-icon-edit" })%>
-                    <%: Html.ActionLink("delete", "Delete", new { p.Id }, new { @class = "hl-icon-delete" })%>
-                </td>
-
-            </tr>
-            <% } %>
-        </tbody>
-        </table>
-  
+  </div>
+  <table class="hl-dataTable">
+    <thead>
+      <tr>
+        <th>
+          Name
+        </th>
+        <th>
+          Description
+        </th>
+        <th>
+          Actions
+        </th>
+      </tr>
+    </thead>
+    <tbody>
+      <!--// We get this from the Controller (Index)-->
+      <% foreach (ProblemClass p in ((ProblemClassModel)Model).ProblemClasses) {  %>
+      <tr>
+        <td>
+          <%: p.Name%>
+        </td>
+        <td>
+          <%: p.Description %>
+        </td>
+        <td class="hl-iconcell">
+          <%: Html.ActionLink("detail", "Detail", new { p.Id }, new { @class = "hl-icon-edit" })%>
+          <%: Html.ActionLink("delete", "Delete", new { p.Id }, new { @class = "hl-icon-delete" })%>
+        </td>
+      </tr>
+      <% } %>
+    </tbody>
+  </table>
 </asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/ServiceTest/Index.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/ServiceTest/Index.aspx	(revision 6316)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/ServiceTest/Index.aspx	(revision 6317)
@@ -2,18 +2,14 @@
 
 <asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
-	Index
+  Index
 </asp:Content>
-
 <asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
-
-    <form id="form1" runat="server">
-
-    <h2>Index</h2>
-    <p>
-        <asp:GridView ID="GridView1" runat="server">
-        </asp:GridView>
-    </p>
-
-    </form>
-
+  <form id="form1" runat="server">
+  <h2>
+    Index</h2>
+  <p>
+    <asp:GridView ID="GridView1" runat="server">
+    </asp:GridView>
+  </p>
+  </form>
 </asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Shared/LogOnUserControl.ascx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Shared/LogOnUserControl.ascx	(revision 6316)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Shared/LogOnUserControl.ascx	(revision 6317)
@@ -1,14 +1,17 @@
 ﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl" %>
 <%
-    if (Request.IsAuthenticated) {
+  if (Request.IsAuthenticated) {
 %>
-        Welcome <b><%: Page.User.Identity.Name %></b>!
-        [ <%: Html.ActionLink("Log Off", "LogOff", "Account") %> ]
+Welcome <b>
+  <%: Page.User.Identity.Name %></b>! [
+<%: Html.ActionLink("Log Off", "LogOff", "Account") %>
+]
 <%
-    }
-    else {
-%> 
-        [ <%: Html.ActionLink("Log On", "LogOn", "Account") %> ]
+  } else {
+%>
+[
+<%: Html.ActionLink("Log On", "LogOn", "Account") %>
+]
 <%
-    }
+  }
 %>
